﻿
    @using Portal.Models;
    @using System.Web.UI.WebControls;
    @using System.Drawing;
    @model Toyota.Common.Web.MVC.ModelHolder

<script type="text/javascript">
        $(document).ready(function () {
            // disabled dateedit when page is loaded
            var dateEdit = ASPxClientControl.GetControlCollection().GetByName("MaxRetDate");
            expiredStatus.SetChecked(true);
            dateEdit.SetEnabled(true);
        });

        function setExpiredDate(s, e) {
            var dateEdit = ASPxClientControl.GetControlCollection().GetByName("MaxRetDate");

            if (s.GetChecked()) {
                MaxRetDate.SetEnabled(true);
                var today = new Date();
                today.setDate(today.getDate() + parseInt(1));
                var dd = today.getDate();
                var mm = today.getMonth() + 1; //January is 0!
                var yyyy = today.getFullYear();
                //            today = dd + '/' + mm + '/' + yyyy;

                MaxRetDate.SetValue(today);

            } else {
                //            today = dd + '/' + mm + '/' + yyyy;
                MaxRetDate.SetEnabled(false);
            }
        }

</script>

    <div id="body" style="width:100%;">
        @Html.Hidden("customerID")
        @using (Html.BeginForm("sendMessage_Action", "DataExch", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {
            @Html.ValidationSummary(true)
            <table width="100%">
                <tr>
                    <td colspan="6" align="center">
                        @Html.DevExpress().Label(
                                settings =>
                                {
                                    settings.Name = "ErrorSendMail";
                                    settings.Properties.Style.ForeColor = System.Drawing.Color.Red;
                                    settings.Properties.Style.BackColor = System.Drawing.Color.GreenYellow;
                                    settings.Text = Model.GetModel<Portal.Models.DataExchModel>().ErrorSendMail.ToString();
                                }
                                ).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="width:140px;"></td>
                    <td style="width:10px;"></td>
                    <td style="width:100px;"></td>
                    <td style="width:50px;"></td>
                    <td style="width:50px;"></td>
                    <td ></td>
                </tr>
                <tr>
                    <td style="vertical-align:middle">Title<font color="red"> *</font></td>
                    <td style="vertical-align:middle">:</td>
                    <td style="vertical-align:middle" colspan="3" >
                        @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "Title";
                                    settings.Properties.MaxLength = 30;
                                    settings.Width = Unit.Pixel(300);
                                    settings.Properties.Size = 55;
                                    settings.TabIndex = 1;
                                }
                          ).Bind(Model.GetModel<Portal.Models.DataExchModel>().MessageTitle).GetHtml()
                    </td>
                    <td style="vertical-align:middle">
                        @Html.DevExpress().Label(
                                settings =>
                                {
                                    settings.Name = "ErrorTitle";
                                    settings.Properties.Style.ForeColor = System.Drawing.Color.Red;
                                    settings.Text = Model.GetModel<Portal.Models.DataExchModel>().ErrorTitle.ToString();
                                }
                                ).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align:top">Body<font color="red"> *</font></td>
                    <td style="vertical-align:top">:</td>
                    <td style="vertical-align:middle" colspan="3" >
                        @Html.DevExpress().Memo(
                                settings =>
                                {
                                    settings.Name = "Body";
                                    settings.Properties.Columns = 53;
                                    settings.Properties.Rows = 6;
                                    settings.Width = Unit.Pixel(300);
                                    settings.TabIndex = 2;
                                }
                                ).Bind(Model.GetModel<Portal.Models.DataExchModel>().MessageBody).GetHtml()
                    </td>
                    <td style="vertical-align:middle">
                        @Html.DevExpress().Label(
                                settings =>
                                {
                                    settings.Name = "ErrorBody";
                                    settings.Properties.Style.ForeColor = System.Drawing.Color.Red;
                                    settings.Text = Model.GetModel<Portal.Models.DataExchModel>().ErrorBody.ToString();
                                }
                                ).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align:top">File Name<font color="red"> *</font></td>
                    <td style="vertical-align:top">:</td>
                    <td style="vertical-align:middle" colspan="3" >
                        @*<input type="file" name="fileUpload" id="fileUpload" style="width: 200px" tabindex="3" />*@
                        @Html.DevExpress().UploadControl(
                            settings =>
                            {
                                settings.Name = "fileUpload";
                                settings.TabIndex = 3;
                                settings.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                                settings.FileInputCount = 1;
                                settings.ShowAddRemoveButtons = true;
                                settings.ShowProgressPanel = true;
                                settings.ValidationSettings.Assign(Portal.Models.UploadModel.ValidationSettings);
                                settings.Width = Unit.Pixel(300);
                            }).GetHtml()
                    </td>
                    <td style="vertical-align:top">
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "ErrorFilename";
                                settings.Properties.Style.ForeColor = System.Drawing.Color.Red;
                                settings.Text = Model.GetModel<Portal.Models.DataExchModel>().ErrorFilename.ToString();
                            }
                        ).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align:middle">Expire Files<font color="red"> *</font></td>
                    <td style="vertical-align:middle">:</td>
                    <td>
                        @Html.DevExpress().CheckBox(
                            settings =>
                            {
                                settings.Name = "expiredStatus";
                                settings.TabIndex = 5;
                                settings.Properties.ClientSideEvents.CheckedChanged = "setExpiredDate";
                            }
                        ).Bind(Model.GetModel<Portal.Models.DataExchModel>().ExpiredFlag).GetHtml()
                    </td>
                    <td style="vertical-align:middle" colspan="2">                        
                    </td>
                    <td style="vertical-align:middle">                       
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align:middle">Expire Date<font color="red"> *</font></td>
                    <td style="vertical-align:middle">:</td>
                    <td style="vertical-align:middle">
                        @Html.DevExpress().DateEdit(
                            settings =>
                            {
                                settings.Name = "MaxRetDate";
                                //settings.Enabled = false;
                                settings.Properties.MaxLength = 8;
                                settings.Properties.EnableClientSideAPI = true;
                                settings.Properties.EditFormat = EditFormat.Date;
                                settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                                settings.TabIndex = 4;
                            }
                        ).Bind(Model.GetModel<DataExchModel>().savedMaxRetDate).GetHtml()
                    </td>
                    <td style="vertical-align:middle" colspan="2">
                    </td>
                    <td style="vertical-align:middle">
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "ErrorRetDate";
                                settings.Properties.Style.ForeColor = System.Drawing.Color.Red;
                                settings.Text = Model.GetModel<Portal.Models.DataExchModel>().ErrorRetDate.ToString();
                            }
                        ).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align:middle">Send To<font color="red"> *</font></td>
                    <td style="vertical-align:middle">:</td>
                    <td style="vertical-align:middle">
                       @Html.comboboxGridComponent("UsernameComboBox", "6", "200", "Username", 3000,
                                                        new string[] { "Username", "FirstName", "LastName", "Email", "Division", "Departement" },
                                                        new int[] { 15, 15, 15, 23, 15, 15 },
                                                        "SelectionChanged",
                                                        "DataExch",
                                                        "FilterRowPartial",
                                                        Model.GetModel<Portal.Models.DataExchModel>().LookUpUserList)
                    </td>
                    <td style="vertical-align:middle" colspan="2">
                    </td>
                    <td style="vertical-align:middle" >    
                        @Html.DevExpress().Label(
                                settings =>
                                {
                                    settings.Name = "ErrorSendTo";
                                    settings.Properties.Style.ForeColor = System.Drawing.Color.Red;
                                    settings.Text = Model.GetModel<Portal.Models.DataExchModel>().ErrorSendTo.ToString();
                                }
                                ).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align:middle">Notify Upon Download</td>
                    <td style="vertical-align:middle">:</td>
                    <td style="vertical-align:middle; padding-left=0px;" colspan="3">
                        @Html.DevExpress().CheckBox(
                            settings =>
                            {
                                settings.Name = "notifyDownloadStatus";
                                settings.TabIndex = 5;
                            }
                        ).Bind(Model.GetModel<DataExchModel>().NotifyDownloadFlag).GetHtml()
                    </td>
                    <td ></td>
                </tr>
                <tr><td colspan="6">&nbsp;</td></tr>
                <tr>
                    <td style="vertical-align:middle;width:200px;" align="right" colspan="3">
                        @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "submit";
                                settings.Text = "Send";
                                settings.Width = Unit.Pixel(200);
                                settings.Styles.Style.Paddings.PaddingTop = 3;
                                settings.Styles.Style.Paddings.PaddingBottom = 3;
                                settings.Styles.Style.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                                settings.UseSubmitBehavior = true;
                                settings.TabIndex = 7;
                            }).GetHtml() 
                    </td>
                    <td style="vertical-align:middle;width:200px;" align="right" colspan="2">
                        @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "cancel";
                                settings.Text = "Cancel";
                                settings.Width = Unit.Pixel(200);
                                settings.Styles.Style.Paddings.PaddingTop = 3;
                                settings.Styles.Style.Paddings.PaddingBottom = 3;
                                settings.Styles.Style.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                                settings.RouteValues = new { Controller = "DataExch", Action = "Cancel" };
                                settings.TabIndex = 8;
                            }).GetHtml() 
                    </td>
                    <td style="vertical-align:middle"></td>
                </tr>
            </table>
    }
    </div>
